/* main.cpp
 *
 * ZEthereal -- Ethereal for the Sharp Zaurus
 * Copyright (C) 2003  Philippe Biondi <biondi@cartel-securite.fr>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#include <iostream.h>
#include "zethereal.h"
#include "engine.h"
#include <qpe/qpeapplication.h>

extern "C" {
extern void zui_add_packet(char *time, char *src, char *dst, char *proto, char *info, metapkt_t *mpkt);
}

Zethereal *zethp;

void zui_add_packet(char *time, char *src, char *dst, char *proto, char *info, metapkt_t *mpkt)
{
	zethp->add_packet(time, src, dst, proto, info, mpkt);
}


int main( int argc, char ** argv )
{
	QPEApplication a( argc, argv );
	Zethereal zeth;
	Engine eng;

	zethp=&zeth;

	zeth.init_engine(&eng);
	
	a.showMainWidget( &zeth );

	return a.exec();
}
